#property copyright "Evil corp. Ltd"
#property link      "google.com"

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 clrBlue
#property indicator_color2 clrPink
#property indicator_color3 clrGreen
#property indicator_color4 clrRed

extern bool Email_alerts = FALSE;
extern bool Sound_alerts = FALSE;
extern int Number_of_Bars = 300;
double G_ibuf_88[];
double G_ibuf_92[];
double G_ibuf_96[];
double G_ibuf_100[];
int Gi_104 = 0;
datetime G_time_108 = 0;

// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   SetIndexBuffer(0, G_ibuf_88);
   SetIndexStyle(0, DRAW_NONE, STYLE_SOLID, 2);
   SetIndexBuffer(1, G_ibuf_92);
   SetIndexStyle(1, DRAW_NONE, STYLE_SOLID, 2);
   SetIndexBuffer(2, G_ibuf_96);
   SetIndexStyle(2, DRAW_HISTOGRAM, STYLE_SOLID, 2);
   SetIndexBuffer(3, G_ibuf_100);
   SetIndexStyle(3, DRAW_HISTOGRAM, STYLE_SOLID, 2);
   return (0);
}

// 52D46093050F38C27267BCE42543EF60
int deinit() {
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   for (int Li_0 = Number_of_Bars; Li_0 >= 0; Li_0--) {
      G_ibuf_88[Li_0] = iMA(NULL, 0, 12, 0, MODE_EMA, PRICE_CLOSE, Li_0) - iMA(NULL, 0, 26, 0, MODE_EMA, PRICE_CLOSE, Li_0);
      if (G_ibuf_88[Li_0] > G_ibuf_88[Li_0 + 1]) G_ibuf_96[Li_0] = 100.0 * (G_ibuf_88[Li_0] - (G_ibuf_88[Li_0 + 1]));
      if (G_ibuf_88[Li_0] < G_ibuf_88[Li_0 + 1]) G_ibuf_100[Li_0] = 100.0 * (G_ibuf_88[Li_0] - (G_ibuf_88[Li_0 + 1]));
   }
   if (Time[0] <= G_time_108 && 1) return (0);
   G_time_108 = Time[0];
   if (Gi_104 <= 0) {
      if (G_ibuf_88[1] > G_ibuf_88[2] && G_ibuf_88[2] < G_ibuf_88[3]) {
         Gi_104 = 1;
         if (Email_alerts == TRUE) Alert("PA Oscillator Alert (", Symbol(), ", ", Period(), ")  -  Consider Buying!");
         if (Sound_alerts == TRUE) SendMail("PA Oscillator Alert", "Consider Buying " + Symbol() + "  " + Period());
      }
   }
   if (Gi_104 >= 0) {
      if (G_ibuf_88[1] < G_ibuf_88[2] && G_ibuf_88[2] > G_ibuf_88[3]) {
         Gi_104 = -1;
         if (Email_alerts == TRUE) Alert("PA Oscillator Alert (", Symbol(), ", ", Period(), ")  -  Consider Selling!");
         if (Sound_alerts == TRUE) SendMail("PA Oscillator Alert", "Consider Selling " + Symbol() + "  " + Period());
      }
   }
   return(0);
}
